Add notice about running xcode-select before using Xcode 4.3.2 command line tools
authordbates@webkit.org <dbates@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 24 Apr 2012 01:50:35 +0000 (01:50 +0000)
committerdbates@webkit.org <dbates@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 24 Apr 2012 01:50:35 +0000 (01:50 +0000)
Rubber-stamped by Eric Seidel.

Before you can use the Xcode 4.3.2 command line tools, you must either run
sudo xcode-select -switch /Applications/Xcode.app or set the environment variable
DEVELOPER_DIR to point to the Xcode developer tools directory.

* building/tools.html:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@114982 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Websites/webkit.org/ChangeLog
Websites/webkit.org/building/tools.html

index c589b36..578fbcf 100644 (file)
@@ -1,5 +1,17 @@
 2012-04-23  Daniel Bates  <dbates@webkit.org>
 
+        Add notice about running xcode-select before using Xcode 4.3.2 command line tools
+
+        Rubber-stamped by Eric Seidel.
+
+        Before you can use the Xcode 4.3.2 command line tools, you must either run
+        sudo xcode-select -switch /Applications/Xcode.app or set the environment variable
+        DEVELOPER_DIR to point to the Xcode developer tools directory. 
+
+        * building/tools.html:
+
+2012-04-23  Daniel Bates  <dbates@webkit.org>
+
         Explicitly mention Xcode version 4.3.2 in Mac debug instructions
 
         Rubber-stamped by Eric Seidel.
index 5fd2ef3..5325c75 100644 (file)
@@ -8,7 +8,10 @@ include("../header.inc");
 <ol>
 <li><p>Install the Xcode Tools package</p>
 <p>Install the Xcode Tools package from <a target="installtools" href="http://connect.apple.com/">http://connect.apple.com</a>.  Xcode 3.1.4 or later is required to build.</p>
-<li><p>Install the Xcode Command Line Tools (located under Xcode Preferences > Downloads)</p><p><b>Note:</b> This step is not required for versions of Xcode older than 4.3.</p>
+<li><p>Install the Xcode Command Line Tools (located under Xcode Preferences > Downloads)</p>
+  <p><b>Note:</b> Before you can use the Xcode 4.3.2 tools, you must either run <code>sudo xcode-select -switch /Applications/Xcode.app</code> or
+set the environment variable DEVELOPER_DIR to <code>/Applications/Xcode.app/Contents/Developer</code>. See <code>man xcode-select</code> for more details.</p>
+  <p><b>Note:</b> This step is not required for versions of Xcode older than 4.3.</p>
 <li><p>Install Java for Mac OS X Developer Package</p>
 <p>Download and install the latest OS-appropriate "Java for Mac OS X Developer Package" from <a href="http://connect.apple.com/">http://connect.apple.com/</a> (located under Downloads > Java).</p>
 </ol>